/* Base styles */
body {
    margin: 0;
    font-family: 'Inter', sans-serif;
    background: rgb(13, 13, 13);
    color: #ffffff;
    line-height: 1.6;
}

p {
    text-align: justify;
}

a {
    color: #00ffe1;
    text-decoration: none;
}

/* Header styles */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 10%;
    background: #101112;
    border-bottom: 1px solid #1f1f1f;
}

.logo {
    font-weight: bold;
    color: #00ffe1;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 24px;
}

.nav-links li {
    display: inline;
}

.nav-links a:hover {
    color: #00ccb8;
}

/* Hero Section */
.hero {
    text-align: center;
}

.hero img {
    width: 256px;
    margin: -36px;
}

.hero h1 {
    margin-bottom: 20px;
    padding: 0;
}

.hero p {
    margin-bottom: 40px;
    color: #cccccc;
    padding-left: 16px;
    padding-right: 16px;
    box-sizing: border-box;
}

.patternetic {
    font-size: 8vw;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    text-wrap: balance;
    font-family: Dune_Rise_otf, Dune_Rise_ttf, sans-serif;
    margin: 0;
    margin-top: -24px;
    text-align: center;
}

@media (min-width: 768px)
{
    .patternetic {
        font-size: 4vw;
    }
}

    /* Sections */
section {
    padding-bottom: 20px;
}

section h2 {
    color: #ffffff;
    text-align: center;
    padding-bottom: 20px;
}

section p {
    max-width: 800px;
    margin: 0 auto;
    color: #bbbbbb;
}

/* Technology section specific */
.tech-highlights {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 40px;
    margin: 48px auto;
}

.tech-highlights div {
    flex: 1;
    min-width: 280px;
    max-width: 340px;
    background: #18191a;
    padding: 36px;
    border-radius: 10px;
}

h3 {
    margin: 0;
}

@font-face {
    font-family: Dune_Rise_otf;
    src: url(Dune_Rise.otf);
}

@font-face {
    font-family: Dune_Rise_ttf;
    src: url(Dune_Rise.ttf);
}

a {
    text-align: center;
    width: 100%;
    color: white;
}

.footer {
    text-align: center;
    flex: 1;
    flex-direction: column;
}